SDK源代码安装


(额外few) #1

问下极光PHPSDK必须要安装后才能使用么


php SDK Jpush安装
#2

是的,必须安装,请根据readme说明使用。

https://github.com/jpush/jpush-api-php-client


(额外few) #3

没什么效果


#4

请使用 Composer 安装或者自己下载安装


(额外few) #5

怎么这么坑爹啊,有没有安装好的包,发我们一份


#6

不理解你所谓的 「安装好的包」 是什么,但 PHP 的第三方类库都是这样安装的,另外各种安装方式都在二楼的那个链接里面了


(额外few) #7

用Composer安装好后的php源码包,
而不是让我们自己去安装


#8

给你看这图你明白了吗

https://packagist.org/packages/jpush/jpush

用Composer安装好后的php源码包

另外不存在上面这个说法,应该叫「打包」


(额外few) #9

你们的意思是,php服务端必须安装composer东西,才能用你们的php SDK 推送功能


#10

我的意思是你必须安装 JPush PHP API Client 至于你要下载源代码安装还是通过 Composer 那是你的事(我们都支持)


(额外few) #11

你意思是安装了这个 JPush PHP API Client ,可以直接用了,不需要通过 Composer 再次安装了


#12

是的,你没使用使用过其他的 php 第三方包吗,都是一样的


(额外few) #13

但你们写这个Composer有点误导啊,还不如不写;
这个错误什么情况
JPush\Exceptions\APIRequestException – [1011]: cannot find user by this audience


#14